from setuptools import setup, find_packages
packages = find_packages()
name = packages[0]
man_dir = "share/man/man1"
def desktop_data_file(suffix):
	return ("share/applications", ["desktop/bt2pd-"+suffix+".desktop"])
setup ( name = name
	, version = "1.9"
	, url = "http://www.beroal.in.ua/prg/bittorrent2player/"
	, author = "Roman Beslik"
	, author_email = "me@beroal.in.ua"
	, packages = packages
	, entry_points = {"console_scripts": [name+" = "+name+".main:main", "bt2pd = "+name+".main:main_daemon"]}
	, data_files =
		[ ("/etc/"+name, ["logging.conf"])
		, desktop_data_file("start")
		, desktop_data_file("stop")
		, (man_dir, ["_man/"+name+".1"])
		, (man_dir, ["_man/bt2pd.1"])
		]
	)
